<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>

    <ion-title>{{ "genres-list.title" | translate }}</ion-title>
  </ion-navbar>

  <ion-toolbar>
    <ion-searchbar
      [(ngModel)]="filterQuery"
      placeholder="{{ 'genres-list.filter-placeholder' | translate }}"
      showCancelButton
      debounce="0"
      (ionInput)="updateList()"
      (ionClear)="updateList()"
    ></ion-searchbar>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <ion-list *ngIf="genres | async as genres">
    <button ion-item *ngFor="let genre of genres" (click)="openGenre(genre)">
      {{ genre.name }}
    </button>
  </ion-list>
</ion-content>
